<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlTxPowMonConf_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlTxPowMonConf_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>TX power monitoring configuration.  
 <a href="structrl_tx_pow_mon_conf__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a860d2c17b26710e608e7c369acac48ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a860d2c17b26710e608e7c369acac48ac"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_pow_mon_conf__t.html#a860d2c17b26710e608e7c369acac48ac">profileIndx</a></td></tr>
<tr class="memdesc:a860d2c17b26710e608e7c369acac48ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the profile Index for which this configuration applies. <br /></td></tr>
<tr class="separator:a860d2c17b26710e608e7c369acac48ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f790df8208520c6cf07475fb6398044"><td class="memItemLeft" align="right" valign="top">rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_pow_mon_conf__t.html#a8f790df8208520c6cf07475fb6398044">rfFreqBitMask</a></td></tr>
<tr class="memdesc:a8f790df8208520c6cf07475fb6398044"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates the exact RF frequencies inside the profile's RF band at <br />
 which to measure the required parameters. When each bit in this field is set, <br />
 the measurement at the corresponding RF frequency is enabled w.r.t. the <br />
 profile's RF band. <br />
.  <a href="#a8f790df8208520c6cf07475fb6398044">More...</a><br /></td></tr>
<tr class="separator:a8f790df8208520c6cf07475fb6398044"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cddb4e54989477ee3fc779e3fde25d1"><td class="memItemLeft" align="right" valign="top">rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_pow_mon_conf__t.html#a0cddb4e54989477ee3fc779e3fde25d1">reserved0</a></td></tr>
<tr class="memdesc:a0cddb4e54989477ee3fc779e3fde25d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use.  <a href="#a0cddb4e54989477ee3fc779e3fde25d1">More...</a><br /></td></tr>
<tr class="separator:a0cddb4e54989477ee3fc779e3fde25d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71f92c218ba07882b1db1c988081d513"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71f92c218ba07882b1db1c988081d513"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_pow_mon_conf__t.html#a71f92c218ba07882b1db1c988081d513">reserved1</a></td></tr>
<tr class="memdesc:a71f92c218ba07882b1db1c988081d513"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a71f92c218ba07882b1db1c988081d513"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af32e3b1ba1a65ac9403d36cccfcb60b3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af32e3b1ba1a65ac9403d36cccfcb60b3"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_pow_mon_conf__t.html#af32e3b1ba1a65ac9403d36cccfcb60b3">txPowAbsErrThresh</a></td></tr>
<tr class="memdesc:af32e3b1ba1a65ac9403d36cccfcb60b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnitude of difference between the programmed and measured TX power for <br />
 each enabled channel at each enabled RF frequency, is compared against this <br />
 threshold. The comparison result is part of the monitoring report message(Error <br />
 bit is set if any measurement is above this threshold). <br />
 1 LSB = 0.1 dBm <br />
 Valid range: TBD to 60 <br />
 Recommended value = TBD <br />
. <br /></td></tr>
<tr class="separator:af32e3b1ba1a65ac9403d36cccfcb60b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e575016de86b6736994fde45285a631"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e575016de86b6736994fde45285a631"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_pow_mon_conf__t.html#a3e575016de86b6736994fde45285a631">txPowFlatnessErrThresh</a></td></tr>
<tr class="memdesc:a3e575016de86b6736994fde45285a631"><td class="mdescLeft">&#160;</td><td class="mdescRight">The magnitude of measured TX power flatness error, for each enabled channel, is <br />
 compared against this threshold. The flatness error for a channel is defined as <br />
 the peak to peak variation across RF frequencies. The comparison result is part <br />
 of the monitoring report message(Error bit is set if any measurement is above <br />
 this threshold). <br />
 1 LSB = 0.1 dB <br />
 Valid range: TBD to 60 <br />
 Recommended value = TBD <br />
 This flatness check is applicable only if multiple RF Frequencies are enabled. <br />
. <br /></td></tr>
<tr class="separator:a3e575016de86b6736994fde45285a631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f0a60378a9e92b602e8a716323929be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f0a60378a9e92b602e8a716323929be"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_pow_mon_conf__t.html#a6f0a60378a9e92b602e8a716323929be">reserved2</a></td></tr>
<tr class="memdesc:a6f0a60378a9e92b602e8a716323929be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a6f0a60378a9e92b602e8a716323929be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08faea947d719c6974c01addfd10e3cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08faea947d719c6974c01addfd10e3cd"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_tx_pow_mon_conf__t.html#a08faea947d719c6974c01addfd10e3cd">reserved3</a></td></tr>
<tr class="memdesc:a08faea947d719c6974c01addfd10e3cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for Future use. <br /></td></tr>
<tr class="separator:a08faea947d719c6974c01addfd10e3cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>TX power monitoring configuration. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a0cddb4e54989477ee3fc779e3fde25d1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt16_t rlTxPowMonConf_t::reserved0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reserved for Future use. </p>
<p>Value Definition <br />
 0 Report is sent every monitoring period without threshold check <br />
 1 Report is send only upon a failure (after checking for thresholds) <br />
 2 Report is sent everymonitoring period with threshold check. <br />
</p>

</div>
</div>
<a class="anchor" id="a8f790df8208520c6cf07475fb6398044"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt8_t rlTxPowMonConf_t::rfFreqBitMask</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This field indicates the exact RF frequencies inside the profile's RF band at <br />
 which to measure the required parameters. When each bit in this field is set, <br />
 the measurement at the corresponding RF frequency is enabled w.r.t. the <br />
 profile's RF band. <br />
. </p>
<p>Bit number RF frequency RF <br />
 0 Lowest RF frequency in profile's RF1 <br />
 sweep bandwidth <br />
 1 Center RF frequency in profile's RF2 <br />
 sweep bandwidth <br />
 2 Highest RF frequency in profile's RF3 <br />
 sweep bandwidth <br />
 The RF Name column is mentioned here to set the convention for the purpose <br />
 of reporting and describing many monitoring packets. <br />
</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
